Package com.databricks.jdbc.auth

## Class PrivateKeyClientCredentialProvider

- java.lang.Object
- - com.databricks.jdbc.auth.PrivateKeyClientCredentialProvider

All Implemented Interfaces:
  `com.databricks.sdk.core.CredentialsProvider`

    public class PrivateKeyClientCredentialProvider
    extends Object
    implements com.databricks.sdk.core.CredentialsProvider

### Constructor Summary

Constructors
`PrivateKeyClientCredentialProvider​(IDatabricksConnectionContext connectionContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `authType()`
`com.databricks.sdk.core.HeaderFactory` `configure​(com.databricks.sdk.core.DatabricksConfig config)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrivateKeyClientCredentialProvider

    public PrivateKeyClientCredentialProvider​(IDatabricksConnectionContext connectionContext)

### Method Detail

#### authType

    public String authType()

Specified by:
  `authType` in interface `com.databricks.sdk.core.CredentialsProvider`

#### configure

    public com.databricks.sdk.core.HeaderFactory configure​(com.databricks.sdk.core.DatabricksConfig config)

Specified by:
  `configure` in interface `com.databricks.sdk.core.CredentialsProvider`